Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Class PropertiesConfiguration.PropertiesWriter

    java.lang.Object
      java.io.Writer
          java.io.FilterWriter
              org.apache.commons.configuration.PropertiesConfiguration.PropertiesWriter

Enclosing class:
  PropertiesConfiguration

public static class PropertiesConfiguration.PropertiesWriter
extends FilterWriter

This class is used to write properties lines.

Field Summary

Fields inherited from class java.io.FilterWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`PropertiesConfiguration.PropertiesWriter(Writer writer)` Constructor.

Method Summary
`void` | `writeComment(String comment)` Write a comment.
`void` | `writeProperty(String key, List values)` Write a property.
`void` | `writeProperty(String key, Object value)` Write a property.

Methods inherited from class java.io.FilterWriter
`close, flush, write, write, write`

Methods inherited from class java.io.Writer
`write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesConfiguration.PropertiesWriter

    public PropertiesConfiguration.PropertiesWriter(Writer writer)
                                             throws IOException

  Constructor.

Parameters:
  `writer` - a Writer object providing the underlying stream

Method Detail

### writeProperty

    public void writeProperty(String key,
                              Object value)
                       throws IOException

  Write a property.

  Parameters:
    `key` -
    `value` -
  Throws:
    `IOException`

### writeProperty

    public void writeProperty(String key,
                              List values)
                       throws IOException

  Write a property.

  Parameters:
    `key` - The key of the property
    `values` - The array of values of the property
  Throws:
    `IOException`

### writeComment

    public void writeComment(String comment)
                      throws IOException

  Write a comment.

  Parameters:
    `comment` -
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 The Apache Software Foundation. All Rights Reserved.